> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mynth.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Tasks



## OpenAPI

````yaml https://api.mynth.io/openapi.json get /tasks
openapi: 3.1.0
info:
  title: Mynth
  description: Mynth API
  version: 1.0.0
servers: []
security: []
paths:
  /tasks:
    get:
      tags:
        - Tasks
      summary: List Tasks
      operationId: getTasks
      responses:
        '200':
          description: Tasks returned
          content:
            application/json:
              schema:
                type: object
                title: Task List
                properties:
                  data:
                    type: array
                    items:
                      anyOf:
                        - type: object
                          properties:
                            cost:
                              anyOf:
                                - type: string
                                - type: 'null'
                            createdAt: {}
                            id:
                              type: string
                            status:
                              const: completed
                            type:
                              const: image.alt
                            updatedAt: {}
                          required:
                            - cost
                            - createdAt
                            - id
                            - status
                            - type
                            - updatedAt
                          additionalProperties: false
                        - type: object
                          properties:
                            cost:
                              anyOf:
                                - type: string
                                - type: 'null'
                            createdAt: {}
                            id:
                              type: string
                            status:
                              const: completed
                            type:
                              const: image.generate
                            updatedAt: {}
                          required:
                            - cost
                            - createdAt
                            - id
                            - status
                            - type
                            - updatedAt
                          additionalProperties: false
                        - type: object
                          properties:
                            cost:
                              anyOf:
                                - type: string
                                - type: 'null'
                            createdAt: {}
                            id:
                              type: string
                            status:
                              const: completed
                            type:
                              const: image.rate
                            updatedAt: {}
                          required:
                            - cost
                            - createdAt
                            - id
                            - status
                            - type
                            - updatedAt
                          additionalProperties: false
                        - type: object
                          properties:
                            cost:
                              anyOf:
                                - type: string
                                - type: 'null'
                            createdAt: {}
                            id:
                              type: string
                            status:
                              const: failed
                            type:
                              const: image.alt
                            updatedAt: {}
                          required:
                            - cost
                            - createdAt
                            - id
                            - status
                            - type
                            - updatedAt
                          additionalProperties: false
                        - type: object
                          properties:
                            cost:
                              anyOf:
                                - type: string
                                - type: 'null'
                            createdAt: {}
                            id:
                              type: string
                            status:
                              const: failed
                            type:
                              const: image.generate
                            updatedAt: {}
                          required:
                            - cost
                            - createdAt
                            - id
                            - status
                            - type
                            - updatedAt
                          additionalProperties: false
                        - type: object
                          properties:
                            cost:
                              anyOf:
                                - type: string
                                - type: 'null'
                            createdAt: {}
                            id:
                              type: string
                            status:
                              const: failed
                            type:
                              const: image.rate
                            updatedAt: {}
                          required:
                            - cost
                            - createdAt
                            - id
                            - status
                            - type
                            - updatedAt
                          additionalProperties: false
                        - type: object
                          properties:
                            cost:
                              anyOf:
                                - type: string
                                - type: 'null'
                            createdAt: {}
                            id:
                              type: string
                            status:
                              const: pending
                            type:
                              const: image.alt
                            updatedAt: {}
                          required:
                            - cost
                            - createdAt
                            - id
                            - status
                            - type
                            - updatedAt
                          additionalProperties: false
                        - type: object
                          properties:
                            cost:
                              anyOf:
                                - type: string
                                - type: 'null'
                            createdAt: {}
                            id:
                              type: string
                            status:
                              const: pending
                            type:
                              const: image.generate
                            updatedAt: {}
                          required:
                            - cost
                            - createdAt
                            - id
                            - status
                            - type
                            - updatedAt
                          additionalProperties: false
                        - type: object
                          properties:
                            cost:
                              anyOf:
                                - type: string
                                - type: 'null'
                            createdAt: {}
                            id:
                              type: string
                            status:
                              const: pending
                            type:
                              const: image.rate
                            updatedAt: {}
                          required:
                            - cost
                            - createdAt
                            - id
                            - status
                            - type
                            - updatedAt
                          additionalProperties: false
                required:
                  - data
      security:
        - apiKeyAuth: []
        - oauthAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: http
      scheme: bearer
      description: 'Mynth API key sent as `Authorization: Bearer <api-key>`.'
    oauthAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: 'OAuth access token sent as `Authorization: Bearer <access-token>`.'

````